///
/// @file
/// @details Entry point of the TEMPLATE_PROJECT_NAME project.
///
/// <!-- Copyright (c) 2015 Tim Beaudet - All Rights Reserved -->
///-----------------------------------------------------------------------------------------------------------------///

#include "TEMPLATE_PROJECT_FILE.h"
#include "scenes/scene_manager.h"

//--------------------------------------------------------------------------------------------------------------------//

int real_main(int argumentCount, const char* argumentValues[])
{
	tbGame::GameApplication gameApplication;
	gameApplication.SetWindowTitle(tb_string("TEMPLATE_PROJECT_NAME"));

	tbGraphics::theSpriteManager.LoadSpriteSheetFromFile("concept_art", "data/concept_kit/concept_art_sheet.json");
	tbAudio::theAudioManager.LoadEventTable("concept_audio", "data/concept_kit/concept_audio_events.json");

	TEMPLATE_PROJECT_NAME::SceneManager::CreateSceneManager(gameApplication);
	gameApplication.RunGame(TEMPLATE_PROJECT_NAME::SceneManager::GetScene(TEMPLATE_PROJECT_NAME::kGameplayScene));
	TEMPLATE_PROJECT_NAME::SceneManager::DestroySceneManager();

	return 0;
}

//--------------------------------------------------------------------------------------------------------------------//

int main(const int argumentCount, const char* argumentValues[])
{
	tb_log_open("debug_log.txt", true);
	tb_log("Started Game: TEMPLATE_PROJECT_NAME\n");

	int returnCode = tb_debug_project_entry_point_with(real_main, argumentCount, argumentValues);

	tb_log("Clean shutdown.\n");
	tb_log_close();
	return returnCode;
}

//--------------------------------------------------------------------------------------------------------------------//
